location:
    source_directories:
        - /mnt/source
    repositories:
        - /mnt/borg-repository
{% if application_remote_repo %}
        - {{ application_remote_repo }}
{% endif %}
    one_file_system: true
    exclude_patterns:
        - '*.log'
        - '*.pyc'
        - '*/.git'
        - '*/.svn'
        - '*/vendor/*'
        - '*/node_modules/*'
    exclude_caches: true
    exclude_if_present: '.nobackup'
storage:
    encryption_passphrase: '{{ borg_passphrase }}'
    retries: {{ borgbackup.retries|default(1) }}
    retry_wait: 300
retention:
    keep_daily: 7
    keep_weekly: 8
    keep_monthly: 12
    keep_yearly: 30
consistency:
    checks:
        - repository
        - archives
hooks:
{% if application_id is defined %}
    mysql_databases:
        - name: '{{ application_id }}'
          hostname: db
          port: 3306
          username: '{{ application_id }}'
          password: '{{ application_id }}'
          options: '--skip-comments'
{% endif %}
    before_backup:
        - echo "`date` - Starting backup"
    after_backup:
        - echo "`date` - Finished backup"
    on_error:
        - /usr/local/bin/alertalerta.py{% if netdata_alerta_project_id is defined %} --pid={{ netdata_alerta_project_id }}{% endif %} {{ inventory_hostname }} {{ netdata_alerta_environment|default("production") }} {{ netdata_alerta_webhook }} {{ netdata_alerta_apikey }} '{"service":["https://www.borgbase.com"],"resource":"{{ inventory_hostname }}","event":"Borg {configuration_filename}","value":"{{ application }} {{ application_id }} {repository}","text":"Borg {configuration_filename}","rawData":"{output}"}'
